﻿// <auto-generated />
using System;
using APIExample.Models;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace APIExample.Migrations
{
    [DbContext(typeof(TrainingDbContext))]
    [Migration("20200827070903_SeededAthletesCoaches")]
    partial class SeededAthletesCoaches
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.7")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("APIExample.Models.Athlete", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("CoachId")
                        .HasColumnType("int");

                    b.Property<DateTime>("DOB")
                        .HasColumnType("datetime2");

                    b.Property<string>("Gender")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("Records")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("CoachId");

                    b.ToTable("Athletes");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            CoachId = 3,
                            DOB = new DateTime(1963, 2, 17, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Gender = "Male",
                            Name = "Micheal Jordan",
                            Records = 10
                        },
                        new
                        {
                            Id = 2,
                            CoachId = 4,
                            DOB = new DateTime(1971, 10, 21, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Gender = "Male",
                            Name = "Thomas Ulsrud",
                            Records = 15
                        },
                        new
                        {
                            Id = 3,
                            CoachId = 2,
                            DOB = new DateTime(1971, 9, 2, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Gender = "Male",
                            Name = "Kjetil Andre Aamodt",
                            Records = 28
                        },
                        new
                        {
                            Id = 4,
                            CoachId = 1,
                            DOB = new DateTime(1975, 5, 2, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Gender = "Male",
                            Name = "David Beckham",
                            Records = 52
                        },
                        new
                        {
                            Id = 5,
                            CoachId = 1,
                            DOB = new DateTime(1986, 8, 21, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Gender = "Male",
                            Name = "Usain Bolt",
                            Records = 42
                        });
                });

            modelBuilder.Entity("APIExample.Models.Cert", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Certs");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Name = "Boxing"
                        },
                        new
                        {
                            Id = 2,
                            Name = "Running"
                        },
                        new
                        {
                            Id = 3,
                            Name = "Badass"
                        });
                });

            modelBuilder.Entity("APIExample.Models.Coach", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Awards")
                        .HasColumnType("int");

                    b.Property<DateTime>("DOB")
                        .HasColumnType("datetime2");

                    b.Property<string>("Gender")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Coaches");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Awards = 10,
                            DOB = new DateTime(1980, 8, 27, 9, 9, 3, 642, DateTimeKind.Local).AddTicks(564),
                            Gender = "Male",
                            Name = "John McIntyre"
                        },
                        new
                        {
                            Id = 2,
                            Awards = 15,
                            DOB = new DateTime(1990, 8, 27, 9, 9, 3, 645, DateTimeKind.Local).AddTicks(161),
                            Gender = "Female",
                            Name = "Renate Blindheim"
                        },
                        new
                        {
                            Id = 3,
                            Awards = 52,
                            DOB = new DateTime(1946, 8, 27, 9, 9, 3, 645, DateTimeKind.Local).AddTicks(251),
                            Gender = "Male",
                            Name = "Phil Jackson"
                        },
                        new
                        {
                            Id = 4,
                            Awards = 38,
                            DOB = new DateTime(1985, 8, 27, 9, 9, 3, 645, DateTimeKind.Local).AddTicks(274),
                            Gender = "Female",
                            Name = "Christine Girard"
                        });
                });

            modelBuilder.Entity("APIExample.Models.CoachCert", b =>
                {
                    b.Property<int>("CertId")
                        .HasColumnType("int");

                    b.Property<int>("CoachId")
                        .HasColumnType("int");

                    b.HasKey("CertId", "CoachId");

                    b.HasIndex("CoachId");

                    b.ToTable("CoachCerts");
                });

            modelBuilder.Entity("APIExample.Models.Athlete", b =>
                {
                    b.HasOne("APIExample.Models.Coach", "Coach")
                        .WithMany()
                        .HasForeignKey("CoachId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("APIExample.Models.CoachCert", b =>
                {
                    b.HasOne("APIExample.Models.Cert", "Cert")
                        .WithMany()
                        .HasForeignKey("CertId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("APIExample.Models.Coach", "Coach")
                        .WithMany()
                        .HasForeignKey("CoachId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
